PocketMine-MPでPEのバニラ鯖 (v0.13.2) を立てる。

既出の話題かもしれないが、PEのクライアントがv0.13.2にバージョンアップしてから「サーバーが期限切れです」となってしまう。公式(と呼んでいいのかわからないけれど)のアナウンス通りサーバーを立ててもv0.13.1までしか対応していないようなので、PocketMine-MPのgithubから最新のソースを取ってきてインストールしたらいけるんじゃないかと思って試してみました。advanceでのインストールより不安定だと思ってください。

お約束ですが、この記事の文責はなにわにありますが、仮にこの記事通りにしたがってコマンドを実行し、結果なにが起きても僕は一切の責任を取るつもりはありません。

インストール方法は英文でここにあります。多分日本語ページがないからあんまり知られてないのかもしれない。詳しい各環境のインストール方法はリンク先をみてもらうこととして、linuxサーバーにインストールするなら以下のコマンドを実行してください。

git clone https://github.com/PocketMine/PocketMine-MP.git
cd PocketMine-MP/

PHPのバイナリをインストールしてくだい。インストール出来ない人は期限切れになったPocketMine-MPのディレクトリの中のbinディレクトリをコピーしてください。それからいつもどおり立ち上げればいいはず。
cp -r /期限切れのパス/bin .
./start.sh

うまく行けば以下のログが吐き出されるはず。

2
こんな感じのログが出ればおっけ~。

というわけで、しばらく「サーバーの期限切れです」で困っている人は試してみてください。

コメントする

メールアドレスが公開されることはありません。